'# MWS Version: V 4.3 - Jun 27 2003 - 09:06:23

'@ use template: Antenna (on Planar Substrate)

' Template for Antenna on Planar Substrate
' ========================================

' draw the bounding box

Plot.DrawBox True

' set units to mm, ghz

With Units 
     .Geometry "mm" 
     .Frequency "ghz" 
     .Time "ns" 
End With 

' set background material to vacuum

With Background 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
End With 

' set boundary conditions to open, zmin to electric

With Boundary
     .Xmin "open" 
     .Xmax "open" 
     .Ymin "open" 
     .Ymax "open" 
     .Zmin "electric" 
     .Zmax "expanded open" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
End With

' optimize mesh settings for planar structures

With Mesh 
     .MergeThinPECLayerFixpoints "True" 
     .RatioLimit "50" 
     .AutomeshRefineAtPecLines "True", "4"
End With 



'@ set workplane properties

With WCS
     .SetWorkplaneSize "200" 
     .SetWorkplaneRaster "10" 
     .SetWorkplaneSnap "TRUE" 
     .SetWorkplaneSnapRaster "0.1" 
     .SetWorkplaneAutoadjust "TRUE" 
End With


'@ define layer: substrate

With Layer
     .Reset 
     .Name "substrate"
     .FrqType "hf" 
     .Type "Normal" 
     .Epsilon "2.2" 
     .Mue "1.0" 
     .Kappa "0.0" 
     .TanD "0.0" 
     .TanDFreq "0.0" 
     .TanDGiven "False" 
     .TanDModel "ConstTanD" 
     .KappaM "0.0" 
     .TanDM "0.0" 
     .TanDMFreq "0.0" 
     .TanDMGiven "False" 
     .DispModelEps "None" 
     .DispModelMue "None" 
     .Rho "0.0" 
     .Colour "0", "1", "1" 
     .Wireframe "False" 
     .Transparency "44" 
     .Create
End With 


'@ define brick: substrate:solid1

With Brick
     .Reset 
     .Name "solid1" 
     .Layer "substrate" 
     .Xrange "-50", "50" 
     .Yrange "-50", "50" 
     .Zrange "0", "2.87" 
     .Create
End With


'@ define brick: PEC:patch

With Brick
     .Reset 
     .Name "patch" 
     .Layer "PEC" 
     .Xrange "-15.5904", "15.5904" 
     .Yrange "-23.374", "23.374" 
     .Zrange "2.87", "2.97" 
     .Create
End With


'@ define automesh state

Mesh.Automesh "True" 


'@ define frequency range

Solver.FrequencyRange "2.5", "3.5" 


'@ define discrete port: 1

With DiscretePort 
     .Reset 
     .PortNumber "1" 
     .Type "SParameter" 
     .Impedance "50.0" 
     .Voltage "1.0" 
     .Current "1.0" 
     .Point1 "6.6904", "0.0", "0.0" 
     .Point2 "6.6904", "0.0", "0.1" 
     .UsePickedPoints "False" 
     .LocalCoordinates "False" 
     .Monitor "False" 
     .Create 
End With 


'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StimulationType "Gaussian" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
End With 


