'# MWS Version: V 4.3 - Jun 27 2003 - 09:06:23

'@ use template: Waveguide Filter

' Template for Waveguide Filter
' =============================

' set units to mm, ghz

With Units 
     .Geometry "mm" 
     .Frequency "ghz" 
     .Time "ns" 
End With 

' set background material to pec

With Background 
     .Type "pec" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
End With 

' set boundary conditions to electric

With Boundary
     .Xmin "electric" 
     .Xmax "electric" 
     .Ymin "electric" 
     .Ymax "electric" 
     .Zmin "electric" 
     .Zmax "electric" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
End With

' increase maximum number of pulses to simulation (resonant structure)
' use Online AR Filter

With Solver 
     .NumberOfPulseWidths "50" 
     .UseArfilter "True"
End With 

'@ define brick: Vacuum:Waveguide

With Brick
     .Reset 
     .Name "Waveguide" 
     .Layer "Vacuum" 
     .Xrange "0", "22.86" 
     .Yrange "0", "10.16" 
     .Zrange "0", "102" 
     .Create
End With


'@ activate local coordinates

WCS.ActivateWCS "local"


'@ move wcs

WCS.MoveWCS "local", "0.0", "0.0", "23.902" 


'@ define brick: PEC:septa1

With Brick
     .Reset 
     .Name "septa1" 
     .Layer "PEC" 
     .Xrange "11.33", "11.53" 
     .Yrange "0", "10.16" 
     .Zrange "0", "6.556" 
     .Create
End With


'@ move wcs

WCS.MoveWCS "local", "0.0", "0.0", "6.556" 


'@ move wcs

WCS.MoveWCS "local", "0.0", "0.0", "12.148" 


'@ define brick: PEC:septa2

With Brick
     .Reset 
     .Name "septa2" 
     .Layer "PEC" 
     .Xrange "11.33", "11.53" 
     .Yrange "0", "10.16" 
     .Zrange "0", "16.788" 
     .Create
End With


'@ move wcs

WCS.MoveWCS "local", "0.0", "0.0", "16.788" 


'@ move wcs

WCS.MoveWCS "local", "0.0", "0.0", "12.148" 


'@ define brick: PEC:septa3

With Brick
     .Reset 
     .Name "septa3" 
     .Layer "PEC" 
     .Xrange "11.33", "11.53" 
     .Yrange "0", "10.16" 
     .Zrange "0", "6.556" 
     .Create
End With


'@ move wcs

WCS.MoveWCS "local", "0.0", "0.0", "6.556" 


'@ move wcs

WCS.MoveWCS "local", "0.0", "0.0", "23.902" 


'@ pick face

Pick.PickFaceFromId "Vacuum:Waveguide", "1" 


'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "zmax" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "0", "22.86" 
     .Yrange "0", "10.16" 
     .Zrange "102", "102" 
     .Create 
End With 


'@ pick face

Pick.PickFaceFromId "Vacuum:Waveguide", "2" 


'@ define port: 2

With Port 
     .Reset 
     .PortNumber "2" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "zmin" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "0", "22.86" 
     .Yrange "0", "10.16" 
     .Zrange "0", "0" 
     .Create 
End With 


'@ define automesh state

Mesh.Automesh "True" 


'@ define frequency range

Solver.FrequencyRange "10", "11" 


'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-40" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StimulationType "Gaussian" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
End With 


'@ define automesh state

Mesh.Automesh "True" 


'@ define frequency range

Solver.FrequencyRange "8", "12" 


'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-40" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StimulationType "Gaussian" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
End With 


'@ define boundaries

With Boundary
     .Xmin "electric" 
     .Xmax "electric" 
     .Ymin "electric" 
     .Ymax "electric" 
     .Zmin "electric" 
     .Zmax "electric" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
End With


'@ define automesh state

Mesh.Automesh "True" 


'@ define frequency range

Solver.FrequencyRange "8", "12" 


'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-40" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StimulationType "Gaussian" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
End With 


'@ define automesh state

Mesh.Automesh "True" 


'@ define frequency range

Solver.FrequencyRange "10", "11" 


'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-40" 
     .MeshAdaption "True" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StimulationType "Gaussian" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
End With 


'@ set 3d mesh adaptation results

With Mesh
    .LinesPerWavelength "25" 
    .MinimumLineNumber "25" 
End With


'@ deactivate transient solver mesh adaptation

Solver.MeshAdaption "False" 


