'# MWS Version: V 4.3 - Jun 27 2003 - 09:06:23

'@ use template: Waveguide Filter

' Template for Waveguide Filter
' =============================

' set units to mm, ghz

With Units 
     .Geometry "mm" 
     .Frequency "ghz" 
     .Time "ns" 
End With 

' set background material to pec

With Background 
     .Type "pec" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
End With 

' set boundary conditions to electric

With Boundary
     .Xmin "electric" 
     .Xmax "electric" 
     .Ymin "electric" 
     .Ymax "electric" 
     .Zmin "electric" 
     .Zmax "electric" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
End With

' increase maximum number of pulses to simulation (resonant structure)
' use Online AR Filter

With Solver 
     .NumberOfPulseWidths "50" 
     .UseArfilter "True"
End With 

'@ define brick: Vacuum:waveguide

With Brick
     .Reset 
     .Name "waveguide" 
     .Layer "Vacuum" 
     .Xrange "0", "22.86" 
     .Yrange "0", "10.16" 
     .Zrange "0", "40" 
     .Create
End With


'@ define automesh state

Mesh.Automesh "True" 


'@ define frequency range

Solver.FrequencyRange "8", "12" 


'@ pick face

Pick.PickFaceFromId "Vacuum:waveguide", "1" 


'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "zmax" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "0", "22.86" 
     .Yrange "0", "10.16" 
     .Zrange "40", "40" 
     .Create 
End With 


'@ clear picks

Pick.ClearAllPicks 


'@ pick face

Pick.PickFaceFromPoint "Vacuum:waveguide", 19.05, 11.8533, 20 


'@ define port: 2

With Port 
     .Reset 
     .PortNumber "2" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "zmin" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "0", "22.86" 
     .Yrange "0", "10.16" 
     .Zrange "0", "0" 
     .Create 
End With 


'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-40" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StimulationType "Gaussian" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
End With 


